<template>
  <v-container>
    <v-row>
      <v-col v-for="source in sources" v-bind:key="source.name">
        <div
          v-for="templateName in Object.keys(
            source.configuration.memberTemplates
          )"
          v-bind:key="templateName"
        >
          <router-link
            v-if="hasMembers(source)"
            :to="{
              name: 'members',
              params: {
                sourceName: source.name,
                templateName: templateName,
              },
            }"
            >Open {{ templateName }} for '{{ source.name }}'</router-link
          >
        </div>
      </v-col>
    </v-row>
  </v-container>
</template>

<script lang="ts">
import { Component, Vue } from "vue-property-decorator"
import { getSources, getMembersBySource } from "@/store"
import { Source } from "@/model"

@Component({})
export default class LinksToMembersLists extends Vue {
  sources = getSources()
  members = getMembersBySource()

  hasMembers(source: Source): boolean {
    if (!(source.name in this.members))
      return false
    return this.members[source.name].length > 0
  }
}
</script>